### Method

# Template Scope list_symbols

#### Declaration

    char**
    tmpl_scope_list_symbols (
      TmplScope* self,
      gboolean recursive
    )

#### Description

Gets the names of all symbols within the scope.

#### Parameters

`recursive`

  Type: `gboolean`

  If the parent scopes should be included.

#### Return value

Type: An array of `utf8`

an array containing the names of all symbols within the scope.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.